
Foreman - Bug #216

Validate uniqueness of a parameter name for Individual hosts.

04/16/2010 02:15 AM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Database   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If a Host has two parameters of the same name with different values, will cause confusion.

Right now, the last parameter defined is the one that is returned in the YAML.

It would be better if duplicate parameter is flagged at creation/update time.

Associated revisions

Revision 5656ef86 - 05/14/2010 06:58 AM - Ohad Levy

fixes #216 - Validate uniqueness of a parameter name for Individual hosts

Revision e394b70b - 05/14/2010 08:07 AM - Ohad Levy

yet another fix for #216

History

#1 - 04/16/2010 03:25 AM - Ohad Levy

- Tracker changed from Feature to Bug

#2 - 04/16/2010 03:26 AM - Ohad Levy

- Category set to Database

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#3 - 05/14/2010 08:03 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 5656ef864cf7c3ceb6e93b756b0f95f63a9a34b2.

#4 - 05/16/2010 12:57 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
